import request from '@/utils/request'

// 查询秒杀时间列表
export function seckillTimeSelectList(query) {
  return request({
    url: '/mall/mallSeckillTime/seckillTimeSelectList',
    method: 'get',
    params: query
  })
}
// 查询秒杀时间列表
export function listMallSeckillTime(query) {
  return request({
    url: '/mall/mallSeckillTime/list',
    method: 'get',
    params: query
  })
}

// 查询秒杀时间详细
export function getMallSeckillTime(id) {
  return request({
    url: '/mall/mallSeckillTime/' + id,
    method: 'get'
  })
}

// 新增秒杀时间
export function addMallSeckillTime(data) {
  return request({
    url: '/mall/mallSeckillTime',
    method: 'post',
    data: data
  })
}

// 修改秒杀时间
export function updateMallSeckillTime(data) {
  return request({
    url: '/mall/mallSeckillTime',
    method: 'put',
    data: data
  })
}

// 删除秒杀时间
export function delMallSeckillTime(id) {
  return request({
    url: '/mall/mallSeckillTime/' + id,
    method: 'delete'
  })
}

// 导出秒杀时间
export function exportMallSeckillTime(query) {
  return request({
    url: '/mall/mallSeckillTime/export',
    method: 'get',
    params: query
  })
}
